package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhVoteEmp;

/**
 * 投票选项Mapper接口
 * 
 * @author hs
 * @date 2025-06-17
 */
public interface KhVoteEmpMapper 
{
    /**
     * 查询投票选项
     * 
     * @param id 投票选项主键
     * @return 投票选项
     */
    public KhVoteEmp selectKhVoteEmpById(Long id);

    /**
     * 查询投票选项列表
     * 
     * @param khVoteEmp 投票选项
     * @return 投票选项集合
     */
    public List<KhVoteEmp> selectKhVoteEmpList(KhVoteEmp khVoteEmp);

    /**
     * 新增投票选项
     * 
     * @param khVoteEmp 投票选项
     * @return 结果
     */
    public int insertKhVoteEmp(KhVoteEmp khVoteEmp);

    /**
     * 修改投票选项
     * 
     * @param khVoteEmp 投票选项
     * @return 结果
     */
    public int updateKhVoteEmp(KhVoteEmp khVoteEmp);

    /**
     * 删除投票选项
     * 
     * @param id 投票选项主键
     * @return 结果
     */
    public int deleteKhVoteEmpById(Long id);

    /**
     * 批量删除投票选项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhVoteEmpByIds(Long[] ids);
}
